%global project_name MultithreadedTC
Name:                multithreadedtc
Version:             1.01
Release:             2
Summary:             A framework for testing concurrent Java application
License:             BSD
URL:                 http://www.cs.umd.edu/projects/PL/multithreadedtc
Source0:             https://storage.googleapis.com/google-code-archive-downloads/v2/code.google.com/multithreadedtc/%{project_name}-%{version}-source.zip
Source1:             %{name}.pom

Patch0:              %{name}-build.patch
BuildArch:           noarch

BuildRequires:       java-devel >= 1:1.6.0 jpackage-utils javapackages-local ant >= 0:1.6 ant-junit
BuildRequires:       junit
Requires:            jpackage-utils junit

%description
MultithreadedTC is a framework for testing concurrent applications.
It features a metronome that is used to provide fine control over
the sequence of activities in multiple threads.

%package javadoc
Summary:             Javadoc for %{name}

%description javadoc
API documentation for %{name}.

%prep
%setup -q -n %{project_name}-%{version}-source
%patch0 -p0 -b .sav
find . -name "*.class" -print -delete
find . -name "*.jar" -print -delete
sed -i 's/\r//' web/docs/package-list
sed -i 's/\r//' web/docs/stylesheet.css
sed -i 's/\r//' LICENSE.txt
sed -i 's/\r//' README.txt

%build
ant

%install
install -d -m 0755 %{buildroot}%{_javadir}
install -m 644 %{project_name}-%{version}.jar   %{buildroot}%{_javadir}/%{project_name}.jar
install -d -m 755 %{buildroot}%{_mavenpomdir}
install -pm 644 %{SOURCE1} \
    %{buildroot}%{_mavenpomdir}/JPP-%{project_name}.pom
%add_maven_depmap JPP-%{project_name}.pom %{project_name}.jar -a "edu.umd.cs.mtc:multithreadedtc-jdk14,com.googlecode.multithreadedtc:multithreadedtc"
install -d -m 0755 %{buildroot}%{_javadocdir}/%{name}
cp -pr web/docs/* %{buildroot}%{_javadocdir}/%{name}/
rm -rf web/docs

%files -f .mfiles
%doc LICENSE.txt README.txt
%{_javadir}/*
%{_mavenpomdir}/*

%pre javadoc
[ $1 -gt 1 ] && [ -L %{_javadocdir}/%{name} ] && \
rm -rf $(readlink -f %{_javadocdir}/%{name}) %{_javadocdir}/%{name} || :

%files javadoc
%doc LICENSE.txt
%{_javadocdir}/%{name}

%changelog
* Tue Aug 25 2020 leiju <leiju4@huawei.com> - 1.01-2
- Modify pom file

* Fri Jul 24 2020 leiju <leiju4@huawei.com> - 1.01-1
- Package init
